//InsertControlDialog.cpp - Dialog to select a control to insert.

#include "wx\wxprec.h"

#ifndef WX_PRECOMP
#include "wx\wx.h"
#endif

#include "InsertControlDialog.h"

BEGIN_EVENT_TABLE(InsertControlDialog, wxDialog)
	EVT_COMBOBOX(SELECTION, InsertControlDialog::OnSelect)
END_EVENT_TABLE()

InsertControlDialog::InsertControlDialog(wxWindow* parent,
						wxWindowID id,
						const wxString& title,
						GenericCControlArray *controlarray):
wxDialog(parent, id, title, wxPoint(0, 0), wxSize(300, 100))
{
	unsigned long i;

	ControlArray = controlarray;
	SelectedControl = 0;

	Selection = new wxComboBox(this, SELECTION, wxString(""), wxPoint(10, 10), wxSize(180, 20), 0, NULL, wxCB_READONLY);

	for(i=0;i<ControlArray->GetCount();i++)
	{
		Selection->Append(ControlArray->Item(i).GetCControlName());
	}
	Selection->SetSelection(0);

	if(ControlArray->GetCount() > 0)
		SelectedControl = &ControlArray->Item(0);

	OK = new wxButton(this, wxID_OK, wxString("OK"), wxPoint(10, 40));
	Cancel = new wxButton(this, wxID_CANCEL, wxString("Cancel"), wxPoint(210, 40));

	Centre();
}

void InsertControlDialog::OnSelect(wxCommandEvent& event)
{
	SelectedControl = &(ControlArray->Item(event.GetSelection()));
}