//VSTGUIBuilderFrame.h - png2ico frame class

#ifndef VSTGUIBUILDERFRAME_H_
#define VSTGUIBUILDERFRAME_H_

#include "VSTGUIPropertiesPanel.h"
#include "VSTMainGUIPanel.h"

class VSTGUIBuilderFrame : public wxFrame
{
  public:
	VSTGUIBuilderFrame(const wxChar *title, int xpos, int ypos, int width, int height);

	~VSTGUIBuilderFrame();

	void OnSize(wxSizeEvent& event);
	void OnBackground(wxCommandEvent& event);
	void OnNew(wxCommandEvent& event) {MainGUIPanel->OnNew();};
	void OnInsertControl(wxCommandEvent& event) {MainGUIPanel->InsertControl();};
	void OnGenerateCode(wxCommandEvent& event);
	void OnExit(wxCommandEvent& event) {Close();};
	void OnAbout(wxCommandEvent& event);

	void Refresh(bool eraseBackground = TRUE, const wxRect* rect = NULL);

  protected:
	wxMenuBar *Menu;

	VSTGUIPropertiesPanel *PropertiesPanel;
	VSTMainGUIPanel *MainGUIPanel;

	enum
	{
		FILE_MENU_NEW = wxID_HIGHEST+1,
		FILE_MENU_OPEN,
		FILE_MENU_SAVE,
		FILE_MENU_CREATECODE,
		FILE_MENU_EXIT,

		INSERT_MENU_NEW_BACKGROUND,
		INSERT_MENU_CONTROL,

		HELP_MENU_ABOUT,
	};

	DECLARE_EVENT_TABLE();
};

#endif