//VSTGUIPropertiesPanel.h - Panel to display the properties of the selected CControl

#ifndef VSTGUIPROPERTIESPANEL_H_
#define VSTGUIPROPERTIESPANEL_H_

#include "wx/grid.h"

#include "GenericCControl.h"

class VSTGUIPropertiesPanel : public wxPanel
{
  public:
	VSTGUIPropertiesPanel(wxWindow* parent,
						  wxWindowID id = -1,
						  const wxPoint& pos = wxDefaultPosition,
						  const wxSize& size = wxDefaultSize,
						  long style = wxTAB_TRAVERSAL,
						  const wxString& name = "panel");

	void OnGrid(wxGridEvent &event);
	//void OnErase(wxEraseEvent &event) {};
	void OnImageSelect(wxCommandEvent &event);
	void OnImageLoad(wxCommandEvent &event);
	void OnImagePath(wxCommandEvent &event);

	void SetUpProperties(GenericCControl *control);
	void UpdateProperties();
	void ClearProperties();

	GenericCControl *GetSelectedControl() {return CurrentControl;};

  protected:
	wxStaticText *PropertiesLabel;

	wxStaticText *ImageLabel;
	wxComboBox *ImageNum;
	wxTextCtrl *ImagePath;
	wxButton *ImageLoad;

	wxGrid *ActualProperties;

	GenericCControl *CurrentControl;

	enum
	{
		IMAGE_SELECTED,
		LOAD_IMAGE,
		IMAGE_PATH,
	};

	DECLARE_EVENT_TABLE();
};

#endif