//VSTMainGUIPanel.h - Panel to display the GUI stuff.

#ifndef VSTMAINGUIPANEL_H_
#define VSTMAINGUIPANEL_H_

#include "wx/file.h"
#include "tinyxml.h"

#include "GenericCControl.h"
#include "VSTGUIPropertiesPanel.h"

WX_DECLARE_OBJARRAY(GenericCControl, GenericCControlArray);

class VSTMainGUIPanel : public wxPanel
{
  public:
	VSTMainGUIPanel(wxWindow* parent,
						  wxWindowID id = -1,
						  const wxPoint& pos = wxDefaultPosition,
						  const wxSize& size = wxDefaultSize,
						  long style = wxTAB_TRAVERSAL,
						  const wxString& name = "panel",
						  VSTGUIPropertiesPanel *proppanel = 0);
	~VSTMainGUIPanel();

	void OnNew();
	void OnMouse(wxMouseEvent &event);
	void OnPaint(wxPaintEvent &event);
	void OnErase(wxEraseEvent &event) {};
	void OnKey(wxKeyEvent &event);

	void SetUpControlsList();

	void GenerateCode(wxString name);
	void LoadBackgroundImage(wxString path);
	void InsertControl();

  protected:
	char *GetFirstImage(char *controltype);
	void WriteImageHandles();
	void WriteCodeBlock(wxFile *file, TiXmlDocument *doc, const char *name);

	wxImage *Background;
	bool ImageIsLoaded;

	VSTGUIPropertiesPanel *PropertiesPanel;

	GenericCControlArray AvailableControls;
	GenericCControlArray ControlsInUse;
	wxArrayString ImageHandles;

	bool ControlIsSelected;
	unsigned long SelectedControl;

	DECLARE_EVENT_TABLE();
};

#endif